plugins {
    id("notcompute.kotlin-conventions-common")
    id("org.jetbrains.kotlin.jvm")
}

version = providers.gradleProperty("emulator_version").get()
group = providers.gradleProperty("maven_group").get()
val baseName = providers.gradleProperty("archives_base_name").get()
val kotlinVersion = providers.gradleProperty("kotlin_version").get()

base {
    archivesName = "$baseName-emulator"
}

dependencies {
    implementation(project(":sedna"))
}

java {
    toolchain {
        languageVersion.set(JavaLanguageVersion.of(17))
    }
}